Class | EstraierPure::ResultDocument
In: | estraierpure.rb
Parent: | Object

Abstraction of document in result set.

### Methods

attr attr_names keywords new snippet uri

### Public Class methods

new(uri, attrs, snippet, keywords)

Create a result document object.

### Public Instance methods

attr(name)

Get the value of an attribute. The return value is the value of the attribute or `nil’ if it does not exist.

attr_names()

Get an array of attribute names. The return value is an array object of attribute names.

keywords()

Get keywords. The return value is a string of serialized keywords of the result document object. There are tab separated values. Keywords and their scores come alternately.

snippet()

Get the snippet of a result document object. The return value is a string of the snippet of the result document object. There are tab separated values. Each line is a string to be shown. Though most lines have only one field, some lines have two fields. If the second field exists, the first field is to be shown with highlighted, and the second field means its normalized form.

uri()

Get the URI. The return value is the URI of the result document object.

[Validate]